Bug 1656665 - [abrt] xfdesktop: g_try_malloc(): xfdesktop killed by SIGABRT
Summary: [abrt] xfdesktop: g_try_malloc(): xfdesktop killed by SIGABRT
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:458d51b1d01c62b9cade9ed0863...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-06 02:44 UTC by Scott Cohen
Modified: 2019-06-18 03:45 UTC (History)
3 users (show)

Fixed In Version: xfdesktop-4.13.4-1.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-18 00:55:01 UTC


Attachments (Terms of Use)
File: backtrace (30.73 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: cgroup (349 bytes, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: core_backtrace (18.83 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: cpuinfo (1.25 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: dso_list (8.32 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: environ (4.10 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: limits (1.29 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: maps (50.36 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: mountinfo (3.67 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: open_fds (1.34 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details
File: proc_pid_status (1.33 KB, text/plain)
2018-12-06 02:44 UTC, Scott Cohen
no flags Details

Description Scott Cohen 2018-12-06 02:44:03 UTC
Description of problem:
I logged in from xscreensaver and wokre up my screens less than 7 - 10 minutes from when this occured.

Version-Release number of selected component:
xfdesktop-4.13.2-20.fc29

Additional info:
reporter:       libreport-2.9.6
backtrace_rating: 4
cmdline:        xfdesktop
crash_function: g_try_malloc
executable:     /usr/bin/xfdesktop
journald_cursor: s=2682d9519b3c4e818e5621611d2cad7c;i=3e611;b=450aa22e05ba49a1b917e39487e5383b;m=8b5febd5a;t=57c5166f5eaf5;x=25db8dcecde0cdf0
kernel:         4.19.2-301.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 1 Scott Cohen 2018-12-06 02:44:09 UTC
Created attachment 1511918 [details]
File: backtrace

Comment 2 Scott Cohen 2018-12-06 02:44:10 UTC
Created attachment 1511919 [details]
File: cgroup

Comment 3 Scott Cohen 2018-12-06 02:44:11 UTC
Created attachment 1511920 [details]
File: core_backtrace

Comment 4 Scott Cohen 2018-12-06 02:44:12 UTC
Created attachment 1511921 [details]
File: cpuinfo

Comment 5 Scott Cohen 2018-12-06 02:44:12 UTC
Created attachment 1511922 [details]
File: dso_list

Comment 6 Scott Cohen 2018-12-06 02:44:13 UTC
Created attachment 1511923 [details]
File: environ

Comment 7 Scott Cohen 2018-12-06 02:44:14 UTC
Created attachment 1511924 [details]
File: limits

Comment 8 Scott Cohen 2018-12-06 02:44:15 UTC
Created attachment 1511925 [details]
File: maps

Comment 9 Scott Cohen 2018-12-06 02:44:15 UTC
Created attachment 1511926 [details]
File: mountinfo

Comment 10 Scott Cohen 2018-12-06 02:44:16 UTC
Created attachment 1511927 [details]
File: open_fds

Comment 11 Scott Cohen 2018-12-06 02:44:17 UTC
Created attachment 1511928 [details]
File: proc_pid_status

Comment 12 Fedora Update System 2019-05-18 13:51:04 UTC
xfdesktop-4.13.4-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-40d6024781

Comment 13 Fedora Update System 2019-05-19 00:51:20 UTC
xfdesktop-4.13.4-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-40d6024781

Comment 14 Fedora Update System 2019-06-18 00:55:01 UTC
xfdesktop-4.13.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-06-18 03:45:54 UTC
xfdesktop-4.13.4-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.